Matej Hybler

MQX + PE for SDK cannot be build with default language standard in KDS toolchain

Discussion created by Matej Hybler Employee on Aug 18, 2014

MQX + PE for SDK cannot be build with default language standard in KDS toolchain. To be able to build libs please use GNU ISO C99 (-std=gnu99) language standard.

 

To change this setting select project and then go to: Project->Properties, then select Settings from C/C++ Build. In the tab Tool Settings choose Optimalization from Cross ARM C Compiler. Now you can change language standard from menu.

 

Screenshot with required setting is attached. This problem will be fixed in SDK 1.1.

 

Regards,

Matej Hybler

MQX team

Attachments

Outcomes